/*general*/
html {
  font-size: 12px;
}
body {
  font-size: 15px;
  font-family: 'Myriad Pro', Arial, sans-serif;
  font-weight: normal;
  color: #95a5a6;
  min-width: 320px;
}
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}
.wrap {
  width: 80%;
  margin: 0 auto;
}
/*typography*/
a {
  text-decoration: none;
}
ul {
  list-style: none;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: normal;
}
/*header*/
.head-page {
  background: rgba(224, 183, 181, 0.45);
  position: relative;
  padding: 4% 0 0;
  color: #fff;
}
.head-page::after {
  content: "";
  background: url('../img/head-bg.png') no-repeat;
  background-size: cover;
  opacity: 0.5;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  position: absolute;
  z-index: -1;
}
.head-page a {
  color: #fff;
  text-transform: uppercase;
}
.head-page .fe-l2 {
  align-self: center;
}
.logo {
  font-size: 20px;
}
/*nav toggle*/
.nav-checkbox {
  display: none;
}
.nav-checkbox:checked ~ .menu-nav {
  transform: translateX(0%);
}
.nav-checkbox:checked + label.nav-toggle em:first-child {
  transform: rotate(45deg);
  left: 0;
  bottom: 5px;
  transition: transform 0.2s 0.2s,top 0.2s 0.15s;
}
.nav-checkbox:checked ~ label.nav-toggle em:last-child {
  transition: transform 0.2s 0.2s,top 0.2s 0.15s;
  left: 0;
  bottom: 5px;
  transform: rotate(-45deg);
}
.nav-checkbox:checked ~ label.nav-toggle em:nth-child(2) {
  opacity: 0;
}
.nav-toggle {
  margin: auto 0;
  height: 12px;
  width: 45px;
  cursor: pointer;
  position: relative;
}
.nav-toggle em {
  display: block;
  position: absolute;
  bottom: 0;
  width: 45px;
  background: #fff;
  height: 2px;
  transition: transform 0.1s 0.2s, left 0.1s 0.219s, opacity 0.2s 0.2s;
}
.nav-toggle em:first-child {
  bottom: 10px;
  left: -11px;
  transform: scaleX(0.5);
}
.nav-toggle em:last-child {
  bottom: 5px;
  left: -5.5px;
  transform: scaleX(0.75);
}
.nav-toggle:hover em {
  left: 0px;
  transform: scaleX(1);
}
/*end nav toggle*/
.menu-nav {
  position: fixed;
  transform: translateX(-100%);
  z-index: 10;
  height: 0;
  top: 0;
  left: 0;
  padding: 0 24px;
  height: 100%;
  background: #cecece;
  transition: all 0.4s ease;
  width: 50%;
}
.menu-nav a {
  font-size: 19px;
}
.list-nav {
  flex-direction: column;
  padding: 24px 0;
  margin: 0 auto;
}
.head-tagline {
  text-align: center;
  margin: 0 auto;
  width: 80%;
}
.head-tagline h1 {
  font-size: 3.7rem;
  border-bottom: 1px solid #fff;
  padding: 24px 0;
  margin: 14% auto 24px;
  font-family: 'Rokkitt', serif;
  font-weight: normal;
}
.head-tagline span {
  font-family: 'Quicksand', sans-serif;
  font-size: 22px;
}
.btn {
  display: block;
  font-family: 'Rokkitt', serif;
  font-weight: normal;
  font-size: 24px;
  width: 190px;
  padding: 8px 0 6px;
  color: #fff;
  background: #1abc9c;
  margin: 14% auto 0;
  position: relative;
  top: 18px;
}
.hvr-underline-from-left {
  display: inline-block;
  box-shadow: 0 0 1px rgba(0, 0, 0, 0);
  position: relative;
  overflow: hidden;
}
.hvr-underline-from-left:before {
  content: "";
  position: absolute;
  z-index: -1;
  left: 0;
  right: 100%;
  bottom: 0;
  background: #fff;
  height: 1px;
  -ms-transition-property: right;
  transition-property: right;
  -ms-transition-duration: 0.3s;
  transition-duration: 0.3s;
  -ms-transition-timing-function: ease-out;
  transition-timing-function: ease-out;
}
.hvr-underline-from-left:hover:before,
.hvr-underline-from-left:focus:before,
.hvr-underline-from-left:active:before {
  right: 0;
}
/* Ripple Out */
@-webkit-keyframes hvr-ripple-out {
  100% {
    top: -12px;
    right: -12px;
    bottom: -12px;
    left: -12px;
    opacity: 0;
  }
}
@keyframes hvr-ripple-out {
  100% {
    top: -12px;
    right: -12px;
    bottom: -12px;
    left: -12px;
    opacity: 0;
  }
}
.hvr-ripple-out {
  box-shadow: 0 0 1px rgba(0, 0, 0, 0);
  position: relative;
}
.ripple-out {
  box-shadow: 0 0 1px rgba(0, 0, 0, 0);
  position: relative;
}
.hvr-ripple-out:before {
  content: '';
  position: absolute;
  border: #1abc9c solid 6px;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  -ms-animation-duration: 1s;
  animation-duration: 1s;
  animation-iteration-count: infinite;
}
.ripple-out:before {
  content: '';
  position: absolute;
  border: #1abc9c solid 6px;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  -ms-animation-duration: 1s;
  animation-name: hvr-ripple-out;
  animation-duration: 1s;
  animation-iteration-count: infinite;
}
.hvr-ripple-out:hover:before,
.hvr-ripple-out:focus:before,
.hvr-ripple-out:active:before {
  -ms-animation-name: hvr-ripple-out;
  animation-name: hvr-ripple-out;
}
/*main*/
main.wrap {
  margin: 6em auto;
}
main.wrap p {
  line-height: 29px;
}
main.wrap .more {
  display: block;
  font-family: 'Rokkitt', serif;
  font-weight: normal;
  font-size: 24px;
  width: 240px;
  padding: 8px 0 6px;
  color: #fff;
  background: #1abc9c;
  margin: 3em auto;
  text-transform: uppercase;
  text-align: center;
  padding: 16px 0;
}
main.wrap .more:after {
  content: '';
  display: inline-block;
  width: 24px;
  height: 21px;
  background: url('../img/sprite.png') no-repeat;
  background-position: -355px 0px;
  margin-left: 12px;
  position: relative;
  top: 3px;
}
.about {
  margin: 0 auto;
  text-align: center;
}
.about h1 {
  color: #1abc9c;
  text-transform: uppercase;
  font-weight: bold;
}
.skills {
  margin: 5em 0;
}
.skill {
  margin: 1em 0 0;
}
.skill::before {
  content: '';
  display: block;
  width: 65px;
  height: 65px;
  margin: 0 auto;
  background: url('../img/sprite.png') no-repeat;
}
.skill:nth-child(2)::before {
  background-position: -104px 0px;
}
.skill:last-child::before {
  background-position: -202px 0px;
}
.skill h3 {
  color: #1abc9c;
  font-weight: bold;
  text-align: center;
  margin: 1.5em 0;
  font-size: 20px;
}
.skill p {
  text-align: justify;
}
.portfolio {
  margin: 3em 0;
}
.portfolio img {
  width: 100%;
  height: 100%;
}
.portfolio section {
  margin: 1em 0;
  cursor: pointer;
  position: relative;
  max-height: 100%;
}
.portfolio section:hover .portfolio-hvr {
  opacity: 1;
}
.portfolio section .portfolio-hvr {
  display: flex;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  flex-direction: column;
  justify-content: space-between;
  opacity: 0;
  transition: opacity 0.02s 0.2s;
}
.portfolio section .portfolio-hvr .pfl-dtn {
  background: #1abc9c;
  padding: 12px;
}
.portfolio section .portfolio-hvr .pfl-dtn h3 {
  color: #fff;
  font-weight: lighter;
  font-family: 'Rokkitt', serif;
  font-size: 2rem;
}
.portfolio section .portfolio-hvr .pfl-dtn span {
  color: #297465;
}
.portfolio section .portfolio-hvr form {
  align-self: flex-end;
  margin: 18px 24px 0 0;
}
.portfolio section .portfolio-hvr form label {
  background: #1abc9c url('../img/sprite.png') no-repeat;
  background-position: -288px 11px;
  cursor: pointer;
  width: 38px;
  height: 38px;
  display: block;
}
input[id="search-btn"] {
  display: none;
}
.contact {
  font-family: 'Rokkitt', serif;
}
.contact h2 {
  font-size: 3.74rem;
  color: #1abc9c;
  text-align: center;
  margin: 24px 0;
}
.contact input {
  flex-grow: 0;
  flex-basis: 100%;
  margin: 24px 0;
  background: #e4e8e8;
  border: none;
  color: #cecece;
  padding: 16px 24px;
  font-size: 2rem;
  width: 100%;
}
.contact textarea {
  flex-basis: 100%;
  background: #e4e8e8;
  border: none;
  color: #cecece;
  padding: 16px 24px;
  font-size: 30px;
}
/*footer*/
footer {
  background: #1abc9c;
  padding: 0 0 24px;
}
footer p {
  color: #fff;
  font-size: 18px;
  font-weight: lighter;
}
footer .soc-contact {
  border: 6px solid rgba(26, 188, 156, 0.5);
  width: 100px;
  height: 100px;
  display: block;
  position: relative;
  top: -30px;
}
footer .soc-contact p {
  height: 100%;
  background: #ffffff url('../img/sprite.png') no-repeat;
}
footer .soc-contact .twitter {
  background-position: -400px 24px;
}
footer .soc-contact .ball {
  background-position: -480px 24px;
}
footer .soc-contact .facebook {
  background-position: -548px 24px;
}
@media (min-width: 680px) {
  html {
    font-size: 16px;
  }
  .menu-nav {
    align-self: center;
    display: block;
    position: static;
    height: initial;
    width: initial;
    background: none;
    transform: none;
    padding: 0;
  }
  .list-nav {
    flex-direction: row;
  }
  .nav-toggle {
    display: none;
  }
  .head-tagline {
    width: 60%;
  }
  .contact input {
    width: initial;
    flex-basis: calc(48%);
  }
}
